package be.iminds.ilabt.jfed.experimenter_gui.gts_editor.ribbon_tabs;

import javafx.fxml.FXML;

/**
 * User: twalcari
 * Date: 7/1/2014
 * Time: 10:48
 */
public class GTSGenericEditorRibbonComponentGroupController {

    private final GTSEditorRibbonTab GTSEditorRibbonTab;

    public GTSGenericEditorRibbonComponentGroupController(GTSEditorRibbonTab GTSEditorRibbonTab) {
        this.GTSEditorRibbonTab = GTSEditorRibbonTab;
    }

    @FXML
    private void onSaveAction() {
        GTSEditorRibbonTab.getActiveGtsEditor().save();
    }

    @FXML
    private void onExportAction() {
        GTSEditorRibbonTab.getActiveGtsEditor().export();
    }

}
